<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.IO.FileMeta Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_i_o.html">IO</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.IO.FileMeta Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Struct that represents a file or directory  
 <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8101fcc255475995bc85e887deb096ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a8101fcc255475995bc85e887deb096ba">FileMeta</a> ()</td></tr>
<tr class="separator:a8101fcc255475995bc85e887deb096ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeed4133a7c8a78ba03aad2aa30369cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#aeeed4133a7c8a78ba03aad2aa30369cf">FileMeta</a> (string name, string path, string content=&quot;&quot;)</td></tr>
<tr class="memdesc:aeeed4133a7c8a78ba03aad2aa30369cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" title="Struct that represents a file or directory">FileMeta</a>  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#aeeed4133a7c8a78ba03aad2aa30369cf">More...</a><br /></td></tr>
<tr class="separator:aeeed4133a7c8a78ba03aad2aa30369cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb3c7c63a9e9eb3f0e962cf89186e5b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#abb3c7c63a9e9eb3f0e962cf89186e5b8">FileMeta</a> (string name, string path, List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt; files)</td></tr>
<tr class="memdesc:abb3c7c63a9e9eb3f0e962cf89186e5b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" title="Struct that represents a file or directory">FileMeta</a>  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#abb3c7c63a9e9eb3f0e962cf89186e5b8">More...</a><br /></td></tr>
<tr class="separator:abb3c7c63a9e9eb3f0e962cf89186e5b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e34d5a477c61a821c50f33ec8e94772"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a5e34d5a477c61a821c50f33ec8e94772">ToString</a> ()</td></tr>
<tr class="memdesc:a5e34d5a477c61a821c50f33ec8e94772"><td class="mdescLeft">&#160;</td><td class="mdescRight">[File: Name={Name}, Path={Path}, Content={Content}]  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a5e34d5a477c61a821c50f33ec8e94772">More...</a><br /></td></tr>
<tr class="separator:a5e34d5a477c61a821c50f33ec8e94772"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afa6a76dba127b0468009e71a5cfa3353"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#afa6a76dba127b0468009e71a5cfa3353">Name</a></td></tr>
<tr class="memdesc:afa6a76dba127b0468009e71a5cfa3353"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the file  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#afa6a76dba127b0468009e71a5cfa3353">More...</a><br /></td></tr>
<tr class="separator:afa6a76dba127b0468009e71a5cfa3353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a3504130834a0e59ed394e47b50a6fc"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a6a3504130834a0e59ed394e47b50a6fc">Path</a></td></tr>
<tr class="memdesc:a6a3504130834a0e59ed394e47b50a6fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path of the file  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a6a3504130834a0e59ed394e47b50a6fc">More...</a><br /></td></tr>
<tr class="separator:a6a3504130834a0e59ed394e47b50a6fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:aeff1432d617b1d6d8432862861a5fef4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#aeff1432d617b1d6d8432862861a5fef4">FileContent</a><code> [get, set]</code></td></tr>
<tr class="memdesc:aeff1432d617b1d6d8432862861a5fef4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content of the file as a string  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#aeff1432d617b1d6d8432862861a5fef4">More...</a><br /></td></tr>
<tr class="separator:aeff1432d617b1d6d8432862861a5fef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4606c9d9afcefcbf00be793ef397fd7e"><td class="memItemLeft" align="right" valign="top">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a4606c9d9afcefcbf00be793ef397fd7e">DirContent</a><code> [get, set]</code></td></tr>
<tr class="memdesc:a4606c9d9afcefcbf00be793ef397fd7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content of the directory as a list of FileMetas  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a4606c9d9afcefcbf00be793ef397fd7e">More...</a><br /></td></tr>
<tr class="separator:a4606c9d9afcefcbf00be793ef397fd7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb3c160017c8009ca6aa39267e96e3b6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#adb3c160017c8009ca6aa39267e96e3b6">IsDirectory</a><code> [get]</code></td></tr>
<tr class="memdesc:adb3c160017c8009ca6aa39267e96e3b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">True, if the <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" title="Struct that represents a file or directory">FileMeta</a> is a directory, false if it's a file  <a href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#adb3c160017c8009ca6aa39267e96e3b6">More...</a><br /></td></tr>
<tr class="separator:adb3c160017c8009ca6aa39267e96e3b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Struct that represents a file or directory </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8101fcc255475995bc85e887deb096ba" name="a8101fcc255475995bc85e887deb096ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8101fcc255475995bc85e887deb096ba">&#9670;&nbsp;</a></span>FileMeta() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.IO.FileMeta.FileMeta </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeeed4133a7c8a78ba03aad2aa30369cf" name="aeeed4133a7c8a78ba03aad2aa30369cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeed4133a7c8a78ba03aad2aa30369cf">&#9670;&nbsp;</a></span>FileMeta() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.IO.FileMeta.FileMeta </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>content</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates a <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" title="Struct that represents a file or directory">FileMeta</a> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name of the file</td></tr>
    <tr><td class="paramname">path</td><td>Path of the file</td></tr>
    <tr><td class="paramname">content</td><td>Content of the file</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abb3c7c63a9e9eb3f0e962cf89186e5b8" name="abb3c7c63a9e9eb3f0e962cf89186e5b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb3c7c63a9e9eb3f0e962cf89186e5b8">&#9670;&nbsp;</a></span>FileMeta() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.IO.FileMeta.FileMeta </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">List&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a> &gt;&#160;</td>
          <td class="paramname"><em>files</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates a <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" title="Struct that represents a file or directory">FileMeta</a> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name of the file</td></tr>
    <tr><td class="paramname">path</td><td>Path of the file</td></tr>
    <tr><td class="paramname">files</td><td>List of files in the directory</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5e34d5a477c61a821c50f33ec8e94772" name="a5e34d5a477c61a821c50f33ec8e94772"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e34d5a477c61a821c50f33ec8e94772">&#9670;&nbsp;</a></span>ToString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.IO.FileMeta.ToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>[File: Name={Name}, Path={Path}, Content={Content}] </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afa6a76dba127b0468009e71a5cfa3353" name="afa6a76dba127b0468009e71a5cfa3353"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa6a76dba127b0468009e71a5cfa3353">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.IO.FileMeta.Name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of the file </p>

</div>
</div>
<a id="a6a3504130834a0e59ed394e47b50a6fc" name="a6a3504130834a0e59ed394e47b50a6fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a3504130834a0e59ed394e47b50a6fc">&#9670;&nbsp;</a></span>Path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.IO.FileMeta.Path</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Path of the file </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a4606c9d9afcefcbf00be793ef397fd7e" name="a4606c9d9afcefcbf00be793ef397fd7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4606c9d9afcefcbf00be793ef397fd7e">&#9670;&nbsp;</a></span>DirContent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html">FileMeta</a>&gt; xAPI_Definitions_Parser.IO.FileMeta.DirContent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Content of the directory as a list of FileMetas </p>

</div>
</div>
<a id="aeff1432d617b1d6d8432862861a5fef4" name="aeff1432d617b1d6d8432862861a5fef4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeff1432d617b1d6d8432862861a5fef4">&#9670;&nbsp;</a></span>FileContent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.IO.FileMeta.FileContent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Content of the file as a string </p>

</div>
</div>
<a id="adb3c160017c8009ca6aa39267e96e3b6" name="adb3c160017c8009ca6aa39267e96e3b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb3c160017c8009ca6aa39267e96e3b6">&#9670;&nbsp;</a></span>IsDirectory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool xAPI_Definitions_Parser.IO.FileMeta.IsDirectory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>True, if the <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" title="Struct that represents a file or directory">FileMeta</a> is a directory, false if it's a file </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/IO/<a class="el" href="_file_meta_8cs.html">FileMeta.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
